Groups Update

View as MarkdownOpen in Claude
Updates a group's name and/or external ID. Permission : Team member management. **Required scope:** `groups.write` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects an object.
groupobjectRequired
Specify a group.
new_group_external_idstring or nullOptional

Optional argument. New group external ID. If the argument is None, the group’s external_id won’t be updated. If the argument is empty string, the group’s external id will be cleared.

new_group_management_typeobject or nullOptional
Set new group management type, if provided.
new_group_namestring or nullOptional
Optional argument. Set group name to this if provided.
return_membersbooleanOptionalDefaults to true
Whether to return the list of members in the group. Note that the default value will cause all the group members to be returned in the response. This may take a long time for large groups.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
createduint64>=0
The group creation time as a UTC timestamp in milliseconds since the Unix epoch.
group_idstring
group_management_typeobject
Who is allowed to manage the group.
group_namestring
group_external_idstring or nullOptional
External ID of group. This is an arbitrary ID that an admin can attach to a group.
member_countuint or nullOptional0-4294967295
The number of members in the group.
memberslist of objects or nullOptional
List of group members.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error